.casestudies-list--wrapper {
    display: flex;
    flex-wrap: wrap;
    gap: 16px;
}

@media screen and (min-width: 992px) {
    .casestudies-list--wrapper {
        gap: 24px;
    }
}

.casestudies-list .item {
    position: relative;
    display: flex;
    flex-direction: column;
    gap: 24px;
    height: 466px;
    justify-content: flex-end;
    width: 100%;
}

@media screen and (min-width: 768px) {
    .casestudies-list .item {
        width: calc(50% - 8px);
    }
}

@media screen and (min-width: 992px) {
    .casestudies-list .item {
        width: calc(33.33% - 16px);
    }
}

.casestudies-list .item::after {
    content: "";
    height: 100%;
    width: 100%;
    position: absolute;
    top: 0;
    left: 0;
    border-radius: 8px;
    background: linear-gradient(0deg, rgba(23, 34, 62, 0.7) 21.8%, rgba(23, 34, 62, 0) 60.9%), rgba(0, 0, 0, 0.2);
    z-index: 0;
}

.casestudies-list .item .item--content {
    position: relative;
    padding: 24px;
    display: flex;
    gap: 16px;
    flex-direction: column;
    z-index: 1;
}

.casestudies-list .item .item--content--upinfos {
    display: flex;
    justify-content: flex-start;
    gap: 8px;
}

.casestudies-list .item .item--content--upinfos .category {
    font-family: var(--borna);
    font-size: 12px;
    font-style: normal;
    font-weight: 600;
    line-height: 160%;
    letter-spacing: 2.4px;
}

.casestudies-list .item .item--content--upinfos .separator {
    width: 2.5rem;
    height: 1px;
    background-color: #C5C8D6;
    align-self: center;
}

.casestudies-list .item .item--content--upinfos span {
    font-family: var(--borna);
    font-size: 12px;
    font-style: normal;
    font-weight: 400;
    line-height: 160%;
    color: var(--blanc);
}

.casestudies-list .item .item--content h4 {
    font-family: var(--borna);
    font-size: 18px;
    font-style: normal;
    font-weight: 600;
    line-height: 120%;
    color: var(--blanc);
}

.casestudies-list .item .item--content p {
    display: -webkit-box;
    line-clamp: 2;
    -webkit-line-clamp: 2;
    text-overflow: ellipsis;
    -webkit-box-orient: vertical;
    overflow: hidden;
    color: #525252;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 160%;
}

@media screen and (min-width: 768px) {
    .casestudies-list .item .item--content p {
        font-size: 16px;
    }
}

.casestudies-list .item .item--image {
    position: absolute;
    width: 100%;
    height: 100%;
    border-radius: 8px;
    overflow: hidden;
}

.casestudies-list .item .item--image img {
    -o-object-fit: cover;
    object-fit: cover;
    width: 100%;
    height: 100%;
    border-radius: 8px;
    transform: scale(1.1);
    transition: transform 0.4s ease;
}

.casestudies-list .item .item--image .arrow-link {
    position: absolute;
    top: 24px;
    right: 24px;
    height: 67px;
    width: 67px;
    border-radius: 50%;
    background-color: var(--blanc);
    display: flex;
    align-items: center;
    justify-content: center;
    opacity: 0;
    transition: opacity 0.4s ease;
    z-index: 1;
}

.casestudies-list .item .item--image .arrow-link::after {
    content: "";
    display: block;
    width: 16px;
    height: 16px;
    -webkit-mask: url(../images/icon-redirection.svg) no-repeat center;
    mask: url(../images/icon-redirection.svg) no-repeat center;
    -webkit-mask-size: contain;
    mask-size: contain;
    background-color: var(--bleu-ciel);
}

@media (hover: hover) {
    .casestudies-list .item:hover .item--image img {
        transform: scale(1);
    }

    .casestudies-list .item:hover .arrow-link {
        opacity: 1;
    }
}

.casestudies-list--filters {
    margin-bottom: 24px;
}

@media screen and (min-width: 992px) {
    .casestudies-list--filters {
        margin-bottom: 48px;
    }
}

.casestudies-list--filters h3 {
    margin-bottom: 24px;
}

.casestudies-list--filters .filters-wrapper {
    display: flex;
    align-items: flex-end;
    flex-wrap: wrap;
    gap: 32px;
}

.casestudies-list--filters .filters-wrapper>div {
    width: 100%;
}

@media screen and (min-width: 600px) {
    .casestudies-list--filters .filters-wrapper>div {
        width: calc(50% - 16px);
    }
}

@media screen and (min-width: 768px) {
    .casestudies-list--filters .filters-wrapper>div {
        width: auto;
        flex: 1;
    }
}

.casestudies-list--filters .filters-wrapper>a {
    width: 100%;
}

@media screen and (min-width: 768px) {
    .casestudies-list--filters .filters-wrapper>a {
        width: auto;
    }
}

.casestudies-list--filters label {
    color: var(--bleu-nuit);
    font-size: 0.875rem;
    font-style: normal;
    font-weight: 600;
    line-height: normal;
    display: block;
    margin-bottom: 12px;
}

.casestudies-list--filters .select-wrapper {
    position: relative;
    width: 100%;
}

.casestudies-list--filters .select-wrapper::before {
    content: '';
    width: 24px;
    height: 24px;
    background: url("../images/indicator.svg") no-repeat center;
    background-size: contain;
    transform: rotate(0.25turn);
    position: absolute;
    right: 16px;
    top: calc(50% - 12px);
}

.casestudies-list--filters select {
    width: 100%;
    padding: 20px 40px 20px 16px;
    background: #F6FDFF;
    border: 1px solid #E0F8FF;
    font-size: 0.875rem;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}

.casestudies-list--filters button {
    flex-shrink: 0;
    font-size: 0.75rem;
    font-style: normal;
    font-weight: 500;
    line-height: 180%;
    display: flex;
    gap: 16px;
    align-items: center;
    cursor: pointer;
    color: var(--bleu-nuit);
    margin-top: 24px;
}

.casestudies-list--filters button::before {
    content: '';
    width: 16px;
    height: 16px;
    -webkit-mask: url("../images/reset.svg") no-repeat center;
    mask: url("../images/reset.svg") no-repeat center;
    -webkit-mask-size: contain;
    mask-size: contain;
    background: #3EA2F7;
    transition: all .2s ease;
}

.casestudies-list--filters button:hover::before {
    transform: rotate(-40deg);
}

.casestudies-list .pagination {
    margin-top: 16px;
}

@media screen and (min-width: 992px) {
    .casestudies-list .pagination {
        margin-top: 24px;
    }
}